## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without  tests

%global         srcname     google-cloud-access-approval
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.11.3
Release:        %autorelease
Summary:        Python Client for Google Cloud Access Approval API

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Access Approval API is an API for controlling access to data by Google
personnel.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executable.
rm -f %{buildroot}%{_bindir}/fixup_accessapproval_v1_keywords.py


%check
%pyproject_check_import

%if %{with tests}
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif



%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_access_approval-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Oct 03 2023 Major Hayden <major@redhat.com> - 1.11.3-1
- Update to 1.11.3 rhbz#2241814

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.11.2-1
- Update to 1.11.2 rhbz#2219896

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.11.1-2
- Rebuilt for Python 3.12

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 1.11.1-1
- Update to 1.11.1 rhbz#2182105

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0 rhbz#2173783

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 1.10.1-2
- Set SPDX license

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.10.1-1
- Update to 1.10.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 15 2022 Major Hayden <major@redhat.com> - 1.9.0-1
- Update to 1.9.0 rhbz#2142697

* Mon Nov 14 2022 Major Hayden <major@redhat.com> - 1.8.0-1
- Update to 1.8.0 rhbz#2140655

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.7.5-1
- Update to 1.7.5 rhbz#2131869

* Tue Sep 13 2022 Major Hayden <major@redhat.com> - 1.7.3-1
- Update to 1.7.3 rhbz#2126490

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 1.7.2-1
- Update to 1.7.2 rhbz#2118348

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 fkolwa <fkolwa@redhat.com> - 1.7.1-1
- Updating to version 1.7.1 rhbz#2106891

* Fri Jul 08 2022 Major Hayden <major@redhat.com> - 1.7.0-1
- Update to 1.7.0 rhbz#2104941

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.6.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Mon May 23 2022 Major Hayden <major@mhtx.net> - 1.6.0-1
- Update to 1.6.0

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> - 1.5.1-1
- Update to 1.5.1

* Mon Feb 21 2022 Major Hayden <major@mhtx.net> - 1.5.0-1
- Update to 1.5.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1.4.1-1
- Update to 1.4.1

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1.4.0-2
- Update sources

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1.4.0-1
- Update to 1.4.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 1.3.5-1
- Initial commit (#1998332)
